#pragma once        // Include guard should be present in *all* header files. It may not be necessary now, 
                    // but you never know when it will becomes necessary later when this file becomes included 
                    // by more than one file as the code base evolves. 
#include <vector>   // The Player class declares a member of type vector. 
using std::vector;
#include <string>   // The Player class declares a member of typ string.
using std::string; 
#include <iostream> // operator<< uses ostream
using std::ostream; 
class Country;      // The Player class uses the type Country*. This does not require the entire type declaration, 
                    //     as it does not require to know the size of objects of that type, but only the size of a 
                    //     pointer, whose size does not vary depending on the type of the value being pointed to.   


// uses vector, Country*, string
class Player {
public:
	vector<Country*> ownedCountries;
	static int numRegisteredPlayers;
	Player();
	string getName();
private:
	string name;
};

// It may be declared as a friend, but does not need to, as its implementation does not use private members. 
// If it is not declared as friend, it needs to be declared as a free operator here.
// Uses ostream, Player&
ostream& operator<<(ostream& os, Player& pl); 